#include "logic.h"
#include "CAFindEageExternal.h"

CAFindEageExternal::CAFindEageExternal(const QString& name,int32_t id)
	: CAFindEage_H(name, id)
{

}

CAFindEageExternal::~CAFindEageExternal(void)
{
}

void CAFindEageExternal::showresult_string(CImageContainer* pContainer)
{
	bool isEnable = this->isROIEnabled();
	QList<CMPointd>::const_iterator iter = lcenters.cbegin();
	
	pContainer->addString(m_sName);
	for(;iter!=lcenters.cend();iter++)
	{
		pContainer->addString(QString("X%1,Y%2").arg((*iter).tX).arg((*iter).tY));
	}
}

void CAFindEageExternal::showresult_shape(CImageContainer* pContainer)
{
	QList<RESULT>::const_iterator iter = lresults.begin();
	for(;iter!=lresults.end();iter++){
		CXLD* pxld=new CXLD();
		*pxld = (*iter).xld;
		pContainer->addShape(pxld,CImageContainer::STATIC_SHAPE);
	}
}
